//intialization plugins
$(document).ready(function () {
    //animation icon toggler of navbar
    $(`.navbar-toggler`).click(function() {
        $(`.navbar-toggler`).toggleClass(`active`);
    });
    //search Input in navbar
    $("#searchInput").keyup(function(){
        $(`.prodItemsBox`).toggleClass(`active`);
    });
    // search input 
    // $(`#searchButn`).click(function() {
    //     $(`#searchInput`).toggleClass(`active`);
    // });
    // share_links in product detils page
    $(`.share_butn`).click(function() {
        $(`.share_links`).toggleClass(`active`);
    });
    // fav_butn
    $(`.fav_butn`).click(function() {
        $(this).toggleClass(`active`);
    });
    //editButton
    $(`#editButton`).click(function() {
        $(`.profile_pg .profile_tab .data_box`).hide();
        $(`.profile_pg .profile_tab .editData_box`).css("display", "block");
        
    });
    // navbar-fixed-top
    $(function () {
        $(document).scroll(function () {
            var $nav = $(".navbar-fixed-top");
            $nav.toggleClass('scrolled', $(this).scrollTop() > $nav.height());
        });
    });
    //Wow intit
    wow = new WOW({
        boxClass: 'wow',
        animateClass: 'animated',
        offset: 200,
        mobile: true,
        live: false
    });
    wow.init();
    //fancybox
    $("[data-fancybox]").fancybox({
        selector: '[data-fancybox="images"]',
        // loop: true
    });
    /*Loading page */
    // $(window).on("load", function(){
    //     $(".loading-page")
    //     .fadeOut(2000 , function(){
    //         $("body").css("overflow" , "auto");
    //         $("this").fadeOut(1500 , function(){
    //             $(this).remove();
    //         });
    //     });
    // });  
});

//Swiper 
var swiper = new Swiper('.header .header_swiper', {
    loop: true,
    speed: 900,
    slidesPerView: 1,
    spaceBetween: 15,
    effect: 'fade',
    // autoplay: {
    //     delay: 2500,
    // },
    navigation: {
        nextEl: '.header .swiper-button-next',
        prevEl: '.header .swiper-button-prev',
    },
    pagination: {
        el: '.header .swiper-pagination',
        clickable: true
    },

});

var swiper = new Swiper('.partners_sec .partners_swiper', {
    // loop: true,
    speed: 2000,
    slidesPerView: 2,
    spaceBetween: 15,
    autoplay: {
        delay: 100,
    },
    navigation: {
        nextEl: '.partners_sec .swiper-button-next',
        prevEl: '.partners_sec .swiper-button-prev',
    },
    pagination: {
        el: '.partners_sec .swiper-pagination',
        clickable: true
    },
    breakpoints: {
        640: {
            slidesPerView: 2,
            spaceBetween: 20,
        },
        768: {
            slidesPerView: 3,
            spaceBetween: 20,
        },
        1024: {
            slidesPerView: 5,
            spaceBetween: 20,
        },
    }
});

var swiper = new Swiper('.feedback_sec .feedback_swiper', {
    // loop: true,
    speed: 900,
    slidesPerView: 1,
    spaceBetween: 15,
    // autoplay: {
    //     delay: 2500,
    // },
    navigation: {
        nextEl: '.feedback_sec .swiper-button-next',
        prevEl: '.feedback_sec .swiper-button-prev',
    },
    pagination: {
        el: '.feedback_sec .swiper-pagination',
        clickable: true
    },
    breakpoints: {
        640: {
            slidesPerView: 2,
            spaceBetween: 20,
        },
    }
});

var swiper = new Swiper('.products_sec  .products_swiper', {
    // loop: true,
    speed: 900,
    slidesPerView: 2,
    spaceBetween: 5,
    // autoplay: {
    //     delay: 2500,
    // },
    navigation: {
        nextEl: '.products_sec .swiper-button-next',
        prevEl: '.products_sec .swiper-button-prev',
    },
    pagination: {
        el: '.products_sec .swiper-pagination',
        clickable: true
    },
    breakpoints: {
        640: {
            slidesPerView: 2,
            spaceBetween: 20,
        },
        768: {
            slidesPerView: 3,
            spaceBetween: 20,
        },
        1024: {
            slidesPerView: 4,
            spaceBetween: 20,
        },
    }
});

// ------------ increase products -----------
$(".qt-plus").click(function() {
    $(this).parent().children(".qt").html(parseInt($(this).parent().children(".qt").html()) + 1);
});

$(".qt-minus").click(function() {

    child = $(this).parent().children(".qt");

    if (parseInt(child.html()) > 1) {
        child.html(parseInt(child.html()) - 1);
    }

    $(this).parent().children(".full-price").addClass("minused");

});

// ------------ SHOW HED PASS ----------
$(document).ready(function() {
    $(".show_hide_password .show_pass").on('click', function(event) {
        event.preventDefault();
        if($(this).siblings("input").attr("type") == "text"){
            $(this).siblings("input").attr('type', 'password');
            $(this).addClass( "fa-eye-slash" );
            $(this).removeClass( "fa-eye" );
        }else if($(this).siblings("input").attr("type") == "password"){
            $(this).siblings("input").attr('type', 'text');
            $(this).removeClass( "fa-eye-slash" );
            $(this).addClass( "fa-eye" );
        }
    });
});
// var swiper = new Swiper(' .swiper-container', {
//     // loop: true,
//     speed: 900,
//     slidesPerView: 1,
//     spaceBetween: 15,
//     // autoplay: {
//     //     delay: 2500,
//     // },
//     //In Tabs
//     // observer: true,
//     // observeParents: true,
//     navigation: {
//         nextEl: '.swiper-button-next',
//         prevEl: '.swiper-button-prev',
//     },
//     pagination: {
//         el: '.swiper-pagination',
//         clickable: true
//     },
//     breakpoints: {
//         640: {
//             slidesPerView: 2,
//             spaceBetween: 20,
//         },
//         768: {
//             slidesPerView: 3,
//             spaceBetween: 20,
//         },
//         1024: {
//             slidesPerView: 5,
//             spaceBetween: 20,
//             // Prevent swiper in lg screens
//             // allowTouchMove: false,
//             // preventClicks: false
//         },
//     }
// });

